Appearance
Get all datasets (stored datasets and model training data)
GET
https://api-dataset.transkribus.org/v1/data-access/datasetsParameters
Query Parameters
userId
Optional user ID for filtering datasets by access permissions
Type
integer
accessType
Filter datasets by access type (e.g., 'public', 'private')
Type
string
tags
Filter datasets by tags
Type
array
search
Search term to filter datasets by name, description, or title
Type
string
index
0-based starting index for pagination
Type
integer
Default
0nValues
Number of items to retrieve per page
Type
integer
Default
50source
Source of the datasets to retrieve. all and admin both return every dataset and require the Transkribus Admin realm role.
Type
string
Valid values
"all""admin""stored""shared""public""model""bookmark"Default
"all"sortBy
Field to sort by (stored datasets - id, name, description, dataset_type, visibility, created_at, owner_id) (model datasets - modelId, name, userName, featuredWeight, language, created)
Type
string
Default
"created_at"sortDirection
Sort direction (ASC or DESC)
Type
string
Valid values
"ASC""DESC""asc""desc"Default
"DESC"prov
Filter datasets by prov
Type
string
type
Filter datasets by type
Type
string
minItems
Filter datasets with at least this many items
Type
integer
maxItems
Filter datasets with at most this many items
Type
integer
isoLanguages
Filter model datasets by isoLanguages (only applies when source=model)
Type
array
creatorId
Filter model datasets by creator ID (only applies when source=model)
Type
integer
minTrainingItems
Filter model datasets with at least this many training items (only applies when source=model)
Type
integer
maxTrainingItems
Filter model datasets with at most this many training items (only applies when source=model)
Type
integer
Responses
All datasets retrieved successfully